#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 solution for notifications
Name:           knotifications
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/5.32/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(dbusmenu-qt5)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version

Conflicts:      %{_lib}kf5notifications5 < 5.12.0-2

%description
KDE Frameworks 5 Tier 2 solution for notifications.

%files -f %{name}5_qt.lang
%_kf5_servicetypes/knotificationplugin.desktop

#--------------------------------------------------------------------

%define kf5notifications_major 5
%define libkf5notifications %mklibname kf5notifications %{kf5notifications_major}

%package -n %libkf5notifications
Summary:      KDE Frameworks 5 Tier 2 solution for notifications
Group:        System/Libraries

%description -n %libkf5notifications
KDE Frameworks 5 Tier 2 solution for notifications.

%files -n %libkf5notifications
%_kf5_libdir/libKF5Notifications.so.%{kf5notifications_major}*

#--------------------------------------------------------------------

%define kf5notifications_devel %mklibname kf5notifications -d

%package -n %kf5notifications_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5notifications = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       kwindowsystem-devel = %version
Requires:       pkgconfig(Qt5Widgets)

%description -n %kf5notifications_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5notifications_devel
%_kf5_includedir/KNotifications
%_kf5_includedir/knotifications_version.h
%_kf5_libdir/cmake/KF5Notifications
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri
%_kf5_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang_kf5 %{name}5_qt


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194148
- New version 5.42

* Tue Mar 14 2017 daviddavid <daviddavid> 5.32.0-2.mga6
+ Revision: 1092551
- replace BR dbusmenu-qt5-devel for pkgconfig(dbusmenu-qt5)
- use more kf5 macros
- switch Kf5 BRs to cmake()

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088982
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074554
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072218
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058373
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050550
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045128
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041350
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021948
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014358
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999650
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986343
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942267
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921296
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913026
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909869
- New version 5.17.0
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899437
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898940
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888180
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881404
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863108
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862706
- Plasma Mass Rebuild - Rebuild for new kf5-macros
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853810
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841586
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803923
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 740447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681143
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660443
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655219
- Rebuild against new kf5 macros

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651780
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611295
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599873
- New version 4.97.0
- Rebuild against fixed kf5-macros

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594313
- imported package knotifications

